Skip to main content
POST
/
v3
/
predict
cURL
curl --request POST \
  --url https://{host}/v3/predict \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "data": [
    {
      "CreditScore": 619,
      "Geography": "France",
      "Gender": "Female",
      "Age": 42,
      "Tenure": 2,
      "Balance": 0,
      "NumOfProducts": 1,
      "HasCrCard": "Yes",
      "IsActiveMember": "Yes",
      "EstimatedSalary": 101348.88
    }
  ],
  "chunk_size": 123
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "predictions": [
      {
        "probability_christian": 0.706
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required
data
object[]
required
chunk_size
integer

Response

Predictions ran successfully on the given data

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object